org.jboss.netty.handler.codec.marshalling

## Interface MarshallerProvider

All Known Implementing Classes:
  DefaultMarshallerProvider, ThreadLocalMarshallerProvider

    public interface MarshallerProvider

This provider is responsible to get a `Marshaller` for the given `ChannelHandlerContext`.

### Method Summary

Methods
`org.jboss.marshalling.Marshaller` `getMarshaller(ChannelHandlerContext ctx)` Get a `Marshaller` for the given `ChannelHandlerContext`

### Method Detail

#### getMarshaller

    org.jboss.marshalling.Marshaller getMarshaller(ChannelHandlerContext ctx)
                                                   throws Exception

Get a `Marshaller` for the given `ChannelHandlerContext`

Throws:
  `Exception`